%define anolis_release 1
# Run extra test
%if 0%{!?perl_bootstrap:1}
%bcond_without perl_CPAN_Meta_YAML_enables_extra_test
%else
# Don't run extra tests when bootstrapping as many of those
# tests' dependencies build-require this package
%global _without_perl_CPAN_Meta_YAML_enables_extra_test 1
%global _with_perl_CPAN_Meta_YAML_enables_extra_test 0
%endif

Name:		perl-CPAN-Meta-YAML
Version:	0.018
Epoch:          1
Release:	%{anolis_release}%{?dist}
Summary:	Read and write a subset of YAML for CPAN Meta files
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/CPAN-Meta-YAML
Source0:	https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/CPAN-Meta-YAML-%{version}.tar.gz
BuildArch:	noarch
# Build:
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.17
# Module Runtime:
BuildRequires:	perl(B)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Fcntl)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Tests:
BuildRequires:	perl(base)
# CPAN::Meta requires CPAN::Meta::YAML
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(CPAN::Meta::Prereqs)
%endif
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(File::Temp) >= 0.19
BuildRequires:	perl(IO::Dir)
BuildRequires:	perl(JSON::PP)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(utf8)
BuildRequires:	perl(vars)
%if %{with perl_CPAN_Meta_YAML_enables_extra_test}
# Extra Tests:
BuildRequires:	perl(blib)
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Version)
%endif
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Carp)
Requires:	perl(Fcntl)

%description
This module implements a subset of the YAML specification for use in reading
and writing CPAN metadata files like META.yml and MYMETA.yml. It should not be
used for any other general YAML parsing or generation task.

%prep
%setup -q -n CPAN-Meta-YAML-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor UNINST=0
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
%if %{with perl_CPAN_Meta_YAML_enables_extra_test}
make test TEST_FILES="xt/*/*.t"
%endif

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/CPAN/
%{_mandir}/man3/CPAN::Meta::YAML.3*

%changelog
* Wed Apr 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.018-1
- init from upstream
